ProcMem (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class ProcMem

    java.lang.Object
      org.hyperic.sigar.ProcMem

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MultiProcMem

    public class ProcMem

extends java.lang.Object
implements java.io.Serializable

ProcMem sigar class.

See Also:
  Serialized Form

Constructor Summary
`ProcMem()`

Method Summary
`void` | `gather(Sigar sigar, long pid)`
`long` | `getMajorFaults()` Get the i/o page faults.
`long` | `getMinorFaults()` Get the non i/o page faults.
`long` | `getPageFaults()` Get the Total number of page faults.
`long` | `getResident()` Get the Total process resident memory.
`long` | `getRss()` Deprecated.
`long` | `getShare()` Get the Total process shared memory.
`long` | `getSize()` Get the Total process virtual memory.
`long` | `getVsize()` Deprecated.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcMem

    public ProcMem()

Method Detail

### gather

    public void gather(Sigar sigar,
                       long pid)
                throws SigarException

  Throws:
    `SigarException`

### getSize

    public long getSize()

  Get the Total process virtual memory.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total process virtual memory

### getResident

    public long getResident()

  Get the Total process resident memory.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total process resident memory

### getShare

    public long getShare()

  Get the Total process shared memory.

  Supported Platforms: AIX, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total process shared memory

### getMinorFaults

    public long getMinorFaults()

  Get the non i/o page faults.

  Supported Platforms: AIX, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    non i/o page faults

### getMajorFaults

    public long getMajorFaults()

  Get the i/o page faults.

  Supported Platforms: AIX, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    i/o page faults

### getPageFaults

    public long getPageFaults()

  Get the Total number of page faults.

  Supported Platforms: AIX, Darwin, HPUX, Linux, Solaris, Win32.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total number of page faults

### getRss

    public long getRss()

  Deprecated.

  See Also:
    `getResident()`

### getVsize

    public long getVsize()

  Deprecated.

  See Also:
    `getSize()`

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.